Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IOP::TAO_IOR_Manipulation::IORList Class Reference

`#include <IORC.h>`

Inheritance diagram for TAO_IOP::TAO_IOR_Manipulation::IORList:

[legend]
Collaboration diagram for TAO_IOP::TAO_IOR_Manipulation::IORList:

[legend]
List of all members.

## Public Types
typedef IORList_var | _var_type
## Public Methods
| IORList (void)
| IORList (CORBA::ULong max)
| IORList (CORBA::ULong max, CORBA::ULong length, CORBA::Object_ptr *buffer, CORBA::Boolean release=0)
| IORList (const IORList &)
| ~IORList (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef IORList_var TAO_IOP::TAO_IOR_Manipulation::IORList::_var_type

## Constructor & Destructor Documentation

TAO_IOP::TAO_IOR_Manipulation::IORList::IORList | ( | void |  | ) |

TAO_IOP::TAO_IOR_Manipulation::IORList::IORList | ( | CORBA::ULong | max | ) |

TAO_IOP::TAO_IOR_Manipulation::IORList::IORList | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | CORBA::Object_ptr * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

TAO_IOP::TAO_IOR_Manipulation::IORList::IORList | ( | const IORList & |  | ) |

TAO_IOP::TAO_IOR_Manipulation::IORList::~IORList | ( | void |  | ) |

## Member Function Documentation

void TAO_IOP::TAO_IOR_Manipulation::IORList::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- IORC.h
- IORC.cpp